%global pkg_name        DateTime-Calendar-Japanese
%global pkg_version     0.06001
%global rpm_pkg_version 0.06_001
%global rpm_pkg_release 1.n0i.2

Summary:       DateTime Extension for Traditional Japanese Calendars
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DM/DMAKI/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Calendar::Japanese::Era)
BuildRequires: perl(DateTime::Calendar::Chinese)
BuildRequires: perl(DateTime::Event::Sunrise) >= 0.05
BuildRequires: perl(DateTime::Util::Calc)
BuildRequires: perl(Params::Validate)



%description
This module implements the traditional Japanese Calendar, which was used from
circa 692 A.D. to 1867 A.D. The traditional Japanese Calendar is a *lunisolar
calendar* based on the Chinese Calendar, and therefore this module may *not*
be used for handling or formatting modern Japanese calendars which are
Gregorian Calendars with a twist. Please use DateTime::Format::Japanese for
that purpose.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc CHANGES LICENSE


%changelog
* Sat Nov 03 2007 Marius Feraru <altblue@n0i.net> - 0.06_001-1.n0i.2.0.06001
- version 0.06001

* Sun Jun 10 2007 Marius Feraru <altblue@n0i.net> - 0.05-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 0.05
